package ir.android_studio.pushe;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

import co.ronash.pushe.Pushe;

public class MainActivity extends AppCompatActivity {

    Button newsButton, disableBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Pushe.initialize(this, true);

        newsButton = findViewById(R.id.btn_newsletter);
        disableBtn = findViewById(R.id.btn_disable);

        newsButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if (Pushe.isPusheInitialized(getApplicationContext())) {

                    Pushe.subscribe(getApplicationContext(), "desert");

                }

            }
        });

        disableBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Pushe.setNotificationOff(getApplicationContext());

            }
        });

    }
}
